%{?nodejs_find_provides_and_requires}

%global packagename testjs
%global enable_tests 1

Name:		nodejs-testjs
Version:	1.0.4
Release:	6%{?dist}
Summary:	A compact testing module for node.js

License:	ASL 2.0
URL:		https://github.com/dcodeIO/test.js.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(ascli)
%if 0%{?enable_tests}
#
%endif

%description
A compact testing module for node.js.


%prep
%setup -q -n package

%nodejs_fixdep ascli

# fix she-bang line in the executable
sed -i '1!b;s/env node/node/' bin/testjs

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}/bin
chmod +x bin/%{packagename}
cp -pr package.json *.js bin/ externs/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{packagename}/bin/%{packagename} \
    %{buildroot}%{_bindir}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} ./tests/run.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}
%{_bindir}/%{packagename}



%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Aug 06 2016 Jared Smith <jsmith@fedoraproject.org> - 1.0.4-2
- Fix script interpreter in bin/testjs

* Thu Nov 19 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.4-1
- Initial packaging
